| Mini51 BSP V3.02.002 The Board Support Package for Mini51 Series

Functions | Variables
lcd_driver.c File Reference

MINI51 series LCD Module library source file. More...

`#include "Mini51Series.h"`
`#include "lcd_driver.h"`

Go to the source code of this file.

## Functions
static __INLINE void | SpiWrite (uint32_t u32Data)
| Macro for SPI write method. More...
void | LCD_Init (void)
| Use SPI interface to configure LCD module. More...
static void | SetPACA (uint8_t PA, uint8_t CA)
| Configure start address of LCD. More...
static void | ShowChar (uint8_t x, uint8_t y, uint8_t ascii_word)
| Show a char on LCD. More...
void | LCD_EnableBackLight (void)
| Enable back-light of LCD. More...
void | LCD_DisableBackLight (void)
| Disable back-light of LCD. More...
void | LCD_Print (uint8_t line, char *str)
| Show a string on specific line. More...
void | LCD_ClearScreen (void)
| Clear screen to background color. More...

## Variables
const char | Ascii []

## Detailed Description

MINI51 series LCD Module library source file.

Version
  V0.10

Revision
  9

Date
  13/11/07 4:40p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved.

Definition in file lcd_driver.c.

## Function Documentation

## ◆ LCD_ClearScreen()

void LCD_ClearScreen | ( | void |  | ) |

Clear screen to background color.

Parameters

  None |

Returns
  None

Definition at line 158 of file lcd_driver.c.

## ◆ LCD_DisableBackLight()

void LCD_DisableBackLight | ( | void |  | ) |

Disable back-light of LCD.

Parameters

  None |

Returns
  None

Definition at line 128 of file lcd_driver.c.

## ◆ LCD_EnableBackLight()

void LCD_EnableBackLight | ( | void |  | ) |

Enable back-light of LCD.

Parameters

  None |

Returns
  None

Definition at line 117 of file lcd_driver.c.

## ◆ LCD_Init()

void LCD_Init | ( | void |  | ) |

Use SPI interface to configure LCD module.

Parameters

  None |

Returns
  None

Definition at line 35 of file lcd_driver.c.

## ◆ LCD_Print()

void LCD_Print | ( | uint8_t | line,
|  | char * | str
| ) |  |

Show a string on specific line.

Parameters

  line | Line number
  str | string

Returns
  None

Definition at line 140 of file lcd_driver.c.

## ◆ SetPACA()

static void SetPACA | ( | uint8_t | PA,
|  | uint8_t | CA
| ) |  |
| static

Configure start address of LCD.

Parameters

  PA | PA value for LCD
  CA | CA value for LCD

Returns
  None

Definition at line 72 of file lcd_driver.c.

## ◆ ShowChar()

static void ShowChar | ( | uint8_t | x,
|  | uint8_t | y,
|  | uint8_t | ascii_word
| ) |  |
| static

Show a char on LCD.

Parameters

  x | X position
  y | Y position
  ascii_word | ASCII character that will be shown on LCD

Returns
  None

Definition at line 91 of file lcd_driver.c.

## ◆ SpiWrite()

static __INLINE void SpiWrite | ( | uint32_t | u32Data | ) |
| static

Macro for SPI write method.

Parameters

  u32Data | Data will be written by SPI

Returns
  None

Definition at line 22 of file lcd_driver.c.

## Variable Documentation

## ◆ Ascii

const char Ascii[]

ASCII table for LCD driver

Definition at line 14 of file ascii_table.c.